Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::VPaned Class Reference

A GtkVPaned C++ wrapper class. More...

`#include <inti/gtk/paned.h>`

Inheritance diagram for Inti::Gtk::VPaned:

List of all members.

## Public Member Functions

Constructors

- VPaned ()
    Construct a new VPaned.
- virtual ~VPaned ()
    Destructor.

Accessors

- GtkVPaned * gtk_vpaned () const
    Get a pointer to the GtkVPaned structure.
- GtkVPanedClass * gtk_vpaned_class () const
    Get a pointer to the GtkVPanedClass structure.
- operator GtkVPaned * () const
    Conversion operator; safely converts a VPaned to a GtkVPaned pointer.

## Protected Member Functions

Constructors

- VPaned (GtkVPaned *vpaned, bool reference=false)
    Construct a new VPaned from an existing GtkVPaned.

## Detailed Description

A GtkVPaned C++ wrapper class.

The VPaned widget is a container widget with two children arranged vertically. The division between the two panes is adjustable by the user by dragging a handle. See Paned for details.

## Constructor & Destructor Documentation

Inti::Gtk::VPaned::VPaned | ( | GtkVPaned * | vpaned,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new VPaned from an existing GtkVPaned. Parameters:
  vpaned | A pointer to a GtkVPaned.
  reference | Set false if the initial reference count is floating, set true if it's not.
The vpaned can be a newly created GtkVPaned or an existing GtkVPaned (see G::Object::Object).

The documentation for this class was generated from the following file:

- paned.h

Main Page - Footer